Subject: Document SC22 N2248

From: "william c. rinehuls" <[email-masked]>
Date: Mon, 19 Aug 1996 18:09:03 -0400 (EDT)

ISO/IEC JTC 1/SC22
Programming languages, their environments and system software interfaces
Secretariat:  U.S.A.  (ANSI)

ISO/IEC JTC 1/SC22
N2248

August 1996

TITLE:              PL/I Project Editor's Report for the September 1996
                    JTC 1/SC22 Plenary

SOURCE:             Secretariat, ISO/IEC JTC 1/SC22

WORK ITEM:          N/A

STATUS:             N/A

CROSS REFERENCE:    SC22 N2020

DOCUMENT TYPE:      Project Editor's Report

ACTION:             To SC22 Member Bodies for information or preparation     
                    of position, as applicable.

                    THIS PROJECT EDITOR'S REPORT AND THE ISSUE CONTAINED
                    THEREIN WILL BE CONSIDERED UNDER AGENDA ITEMS 9.4 
                    AND 12.2.1 AT THE SEPTEMBER 1996 JTC 1/SC22 PLENARY.

Address reply to:
ISO/IEC JTC 1/SC22 Secretariat
William C. Rinehuls
8457 Rushing Creek Court
Springfield, VA 22153  USA
Tel:  +1 (703) 912-9680
Fax:  +1 (703) 912-2973
email:  [email-masked]

___________________________________________________________________________
		
To:       Mr. William Rinehuls
          Secretariat, ISO/IEC JTC1/SC22

From:     John C. Klensin
          Project Editor, PL/I

Subject:  Project editor's report, projects 97.22.5 and 97.22.6

Project 97.22.5:  Revision of ISO6160 "Programming Language PL/I"

Existing standard.  No activities during the last year.

Project 97.22.6:  ISO 6522 "General Purpose PL/I"

No requests for clarifications or extensions in the last year. 
The Project Editor recommends that this Standard be confirmed
this year, based on the observations that the language it defines
is still in active use in many locations and that the
availability of the Standard continues to be of use in
procurements and in assessing conformance and interoperability. 
The technical working group assocated with the US (ANSI) PL/I
projects has been polled and agrees with the conclusion that it
should be confirmed.

ANSI X3.74-1987 is textually identical and was reaffirmed by ANSI
in 1993.

Other Issues

There are no significant outstanding issues affecting the PL/I
standards.  We remain interested in the future of other standards
defined using formal or semi-formal methods, as we have concluded
that these are not consistent with easy or rapid revisions or
updates.

_____________________________end of document SC22 N2248 _____________